import os
from celery import Celery

# Django settings modülünü ayarla
os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'core.settings')

app = Celery('core')

# Django settings'ten celery yapılandırmasını yükle
app.config_from_object('django.conf:settings', namespace='CELERY')

# Tüm Django app'lerden tasks.py dosyalarını otomatik olarak keşfet
app.autodiscover_tasks()


@app.task(bind=True, ignore_result=True)
def debug_task(self):
    print(f'Request: {self.request!r}')

